Skip to main content
GET
Get historical user metrics for a single KVault

Path Parameters

vaultPubkey
string
required

Valid base58-encoded address of the vault

Example:

"HDsayqAsDWy3QvANGqh2yNraqcD8Fnjgh73Mhb3WRS5E"

userPubkey
string
required

Valid base58-encoded address of the user wallet

Example:

"AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As"

Query Parameters

start
default:1970-01-01T00:00:00.000Z

Start date of the range (defaults to Unix epoch). Accepts ISO string or epoch in ms.

Example:

"1970-01-01T00:00:00.000Z"

end

End date of the range (defaults to current time). Accepts ISO string or epoch in ms.

Example:

"2025-01-01T00:00:00.000Z"

Response

OK

createdOn
string<date-time>
required

Timestamp when the snapshot was created (ISO 8601 format)

Example:

"2025-03-01T12:00:00.000Z"

sharesAmount
string
required

User's total shares amount

Example:

"1234.56789"

usdAmount
string
required

User's USD amount in kvault

Example:

"1234.56789"

solAmount
string
required

User's SOL amount in kvault

Example:

"1234.56789"

apy
string
required

APY in decimal format (not percentage) represented as string. Multiply by 100 to get percentage (%) - 0.1 in API response is 10%.

Example:

"0.2"

cumulativeInterestEarned
string
required

Total interest earned in kvault token amount for kvault

Example:

"1234.56789"

cumulativeInterestEarnedUsd
string
required

Total interest earned in USD for kvault

Example:

"1234.56789"

cumulativeInterestEarnedSol
string
required

Total interest earned in SOL for kvault

Example:

"1234.56789"

interestEarnedPerSecond
string
required

Interest earned per second at that specific moment in token

Example:

"1234.56789"

interestEarnedPerSecondUsd
string
required

Interest earned per second at that specific moment in USD

Example:

"1234.56789"

interestEarnedPerSecondSol
string
required

Interest earned per second at that specific moment in SOL

Example:

"1234.56789"